# PathException
Date: 2013-02-18

## org.simpleframework.xml.core
Class PathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.simpleframework.xml.core.PersistenceException
                  org.simpleframework.xml.core.PathException

All Implemented Interfaces:
  java.io.Serializable

    public class PathException

extends PersistenceException

The `PathException` is thrown when there is a problem with the syntax of an XPath expression. Parsing problems include specifying a path that is either illegal or contains features that are not supported by the internal parser.

Author:
  Niall Gallagher
See Also:
  Serialized Form

Constructor Summary
`PathException(java.lang.String text, java.lang.Object... list)` Constructor for the `PathException` object.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PathException

    public PathException(java.lang.String text,
                         java.lang.Object... list)

  Constructor for the `PathException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the string